Get all automation executions for an automation blueprint Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by a comma separated list of client UUIDs.
-
Filter by a comma separated list of account UUIDs.
-
Include relationships. Valid values are [account].
-
Field to sort by. Valid fields are [created_at ]. Negative sign to denote DESC. Defaults to 'name'.
GET
/api/v1/automation-executions
curl \
--request GET 'https://api.plannrcrm.com/api/v1/automation-executions' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
{
"uuid": "30ee478e-5e53-438b-9f07-6a6fa62f8cf0",
"created_at": "2026-08-12T10:07:41+01:00",
"updated_at": "2026-08-12T10:07:41+01:00",
"status": "in_progress",
"triggered_by": "client.created",
"steps": [
{
"uuid": "cc393c59-be0f-4f66-b180-5937357ec6d7",
"created_at": "2026-08-12T10:07:41+01:00",
"updated_at": "2026-08-12T10:07:41+01:00",
"executed_at": "2026-08-12T10:07:41+01:00",
"status": "completed",
"info": "\"[{errors : \"the account_uuid field is required\" }]\"",
"name": "Send SMS"
}
],
"name": "Send client welcome pack to newly created client",
"next_step": {
"uuid": "6f3b9870-aa44-4d6d-94dd-29c1af92e619",
"created_at": "2026-08-12T10:07:41+01:00",
"updated_at": "2026-08-12T10:07:41+01:00",
"executed_at": "2026-08-12T10:07:41+01:00",
"status": "completed",
"info": "\"[{errors : \"the account_uuid field is required\" }]\"",
"name": "Send SMS"
},
"previous_step": {
"uuid": "d819156a-ec1b-4b11-a96d-8fcd6f23450f",
"created_at": "2026-08-12T10:07:41+01:00",
"updated_at": "2026-08-12T10:07:41+01:00",
"executed_at": "2026-08-12T10:07:41+01:00",
"status": "completed",
"info": "\"[{errors : \"the account_uuid field is required\" }]\"",
"name": "Send SMS"
},
"account": {
"uuid": "18fcbf55-e5bf-42e3-b7f6-e5e58f663288",
"created_at": "2026-08-12T10:07:41+01:00",
"updated_at": "2026-08-12T10:07:41+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "fd2531f7-d570-471b-ae26-bbbb60920b59",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "2c1f4e3e-01e1-4b84-b330-85f7453b96ce",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "2c1f4e3e-01e1-4b84-b330-85f7453b96ce",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "374d9c13-d537-4391-a14c-2dd7f02d0d74",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-12T09:17:46+01:00",
"end_date": "2026-08-12T09:45:46+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "1df2b185-26b4-4772-ba7f-963760dc6daa",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-12T10:07:46+01:00",
"next_review_date": "2026-08-12T10:07:46+01:00",
"previous_review_date": "2026-08-12T10:07:46+01:00",
"anniversary_review_date": "2026-08-12T10:07:46+01:00",
"terms_of_business_at": "2026-08-12T10:07:46+01:00",
"client_agreement_at": "2026-08-12T10:07:46+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:46",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:46+01:00",
"out_of_office_until": "2026-08-12T10:07:46+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "1df2b185-26b4-4772-ba7f-963760dc6daa",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-12T10:07:46+01:00",
"next_review_date": "2026-08-12T10:07:46+01:00",
"previous_review_date": "2026-08-12T10:07:46+01:00",
"anniversary_review_date": "2026-08-12T10:07:46+01:00",
"terms_of_business_at": "2026-08-12T10:07:46+01:00",
"client_agreement_at": "2026-08-12T10:07:46+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:46",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:46+01:00",
"out_of_office_until": "2026-08-12T10:07:46+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "1df2b185-26b4-4772-ba7f-963760dc6daa",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-12T10:07:46+01:00",
"next_review_date": "2026-08-12T10:07:46+01:00",
"previous_review_date": "2026-08-12T10:07:46+01:00",
"anniversary_review_date": "2026-08-12T10:07:46+01:00",
"terms_of_business_at": "2026-08-12T10:07:46+01:00",
"client_agreement_at": "2026-08-12T10:07:46+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:46",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:46+01:00",
"out_of_office_until": "2026-08-12T10:07:46+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "1df2b185-26b4-4772-ba7f-963760dc6daa",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-12T10:07:46+01:00",
"next_review_date": "2026-08-12T10:07:46+01:00",
"previous_review_date": "2026-08-12T10:07:46+01:00",
"anniversary_review_date": "2026-08-12T10:07:46+01:00",
"terms_of_business_at": "2026-08-12T10:07:46+01:00",
"client_agreement_at": "2026-08-12T10:07:46+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:46",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:46+01:00",
"out_of_office_until": "2026-08-12T10:07:46+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "fbce2228-7ef8-4fbf-b212-47be694e983c",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00"
},
"tags": {
"uuid": "1c09deab-d506-4e6c-bf0f-9eb96fe53b23",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "1df2b185-26b4-4772-ba7f-963760dc6daa",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-12T10:07:46+01:00",
"next_review_date": "2026-08-12T10:07:46+01:00",
"previous_review_date": "2026-08-12T10:07:46+01:00",
"anniversary_review_date": "2026-08-12T10:07:46+01:00",
"terms_of_business_at": "2026-08-12T10:07:46+01:00",
"client_agreement_at": "2026-08-12T10:07:46+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:46",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:46+01:00",
"out_of_office_until": "2026-08-12T10:07:46+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-12T10:07:41+01:00",
"next_review_date": "2026-08-12T10:07:41+01:00",
"previous_review_date": "2026-08-12T10:07:41+01:00",
"anniversary_review_date": "2026-08-12T10:07:41+01:00",
"terms_of_business_at": "2026-08-12T10:07:41+01:00",
"client_agreement_at": "2026-08-12T10:07:41+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "f29725d1-6d92-4b1b-b314-2f34a48d07bd",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-12T10:07:46+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "cce7219b-f966-4f77-a746-0cf5fe58c0d3",
"login_access_level": "write",
"current_life_stage_uuid": "75e01a72-8b1d-4c7b-a6ea-94564eddd0ec"
},
"circles": {
"uuid": "f29725d1-6d92-4b1b-b314-2f34a48d07bd",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-12T10:07:46+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "cce7219b-f966-4f77-a746-0cf5fe58c0d3",
"login_access_level": "write",
"current_life_stage_uuid": "75e01a72-8b1d-4c7b-a6ea-94564eddd0ec"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-12",
"last_interaction_at": "2026-08-12 10:07:41",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-12T10:07:41+01:00",
"out_of_office_until": "2026-08-12T10:07:41+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "bc88b6ff-b403-4ede-949d-ba0e90d81843",
"created_at": "2026-08-12T10:07:46+01:00",
"updated_at": "2026-08-12T10:07:46+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
]
}